Restore Mail.app Plugins after 10.6.4 update

You can try to restore compatibility with the updated Mail.app by changing which UUIDs your plugin is listed as being compatible with. This does not guarantee a fix since aspects of the updated Mail.app might actually be incompatible with your plugin.
  1. Make sure Mail is closed.
  2. Edit
    ~/Library/Mail/Bundles (Disabled [x])/[Name of Plugin]/Contents/Info.plist
    I recommend using TextWrangler
  3. Then add the following strings to the SupportedPluginCompatibilityUUIDs array:
    <string>B842F7D0-4D81-4DDF-A672-129CA5B32D57</string>
    <string>E71BD599-351A-42C5-9B63-EA5C47F7CE8E</string>
    It should look something like this when you’re done:
    Edited Mail Plugins UUID
  4. Finally move the plugin(s) you altered from the “Bundles (Disabled)” folder to “Bundles” and open Mail.app.
If the plugin breaks Mail.app move it back to the disabled folder.
This worked for me with the current versions of both GrowlMail and WideMail.